NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::AttachElementsBuilder Class Reference

Represents a NXOpen::CAE::AttachElementsBuilder
To create a new instance of this class, use NXOpen::CAE::NodeElementManager::CreateAttachElementsBuilder

Created in NX11.0.0. More...

Inheritance diagram for NXOpen::CAE::AttachElementsBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AttachOption { AttachOptionSplitAndAttach, AttachOptionSplitOnly }
 attach types More...
 
enum  SplitLineOption { SplitLineOptionElementEdge, SplitLineOptionTwoPoints, SplitLineOptionEdge }
 split line types More...
 

Public Member Functions

NXOpen::CAE::AttachElementsBuilder::AttachOption AttachType ()
 Returns an attach option
Created in NX11.0.0. More...
 
NXOpen::SelectDisplayableObjectListEdgeCurve ()
 Returns the curve
Created in NX11.0.0. More...
 
NXOpen::CAE::SelectElementsBuilderElementEdges ()
 Returns the element edges
Created in NX11.0.0. More...
 
NXOpen::SelectTaggedObjectListMeshSelection ()
 Returns the selected mesh
Created in NX11.0.0. More...
 
NXOpen::PointPointEnd ()
 Returns an end point
Created in NX11.0.0. More...
 
NXOpen::PointPointStart ()
 Returns a start point
Created in NX11.0.0. More...
 
void SetAttachType (NXOpen::CAE::AttachElementsBuilder::AttachOption attachmentType)
 Sets an attach option
Created in NX11.0.0. More...
 
void SetPointEnd (NXOpen::Point *endPoint)
 Sets an end point
Created in NX11.0.0. More...
 
void SetPointStart (NXOpen::Point *startPoint)
 Sets a start point
Created in NX11.0.0. More...
 
void SetSplitLineType (NXOpen::CAE::AttachElementsBuilder::SplitLineOption lineType)
 Sets a split line option
Created in NX11.0.0. More...
 
NXOpen::CAE::AttachElementsBuilder::SplitLineOption SplitLineType ()
 Returns a split line option
Created in NX11.0.0. More...
 
NXOpen::ExpressionSplitSize ()
 Returns the split size
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::AttachElementsBuilder
To create a new instance of this class, use NXOpen::CAE::NodeElementManager::CreateAttachElementsBuilder

Created in NX11.0.0.


Member Enumeration Documentation

attach types

Enumerator
AttachOptionSplitAndAttach 

split and attach

AttachOptionSplitOnly 

split only

split line types

Enumerator
SplitLineOptionElementEdge 

split by element edge

SplitLineOptionTwoPoints 

split by two points

SplitLineOptionEdge 

split by edge/curve

Member Function Documentation

NXOpen::CAE::AttachElementsBuilder::AttachOption NXOpen::CAE::AttachElementsBuilder::AttachType ( )

Returns an attach option
Created in NX11.0.0.



License requirements : None

NXOpen::SelectDisplayableObjectList* NXOpen::CAE::AttachElementsBuilder::EdgeCurve ( )

Returns the curve
Created in NX11.0.0.



License requirements : None

NXOpen::CAE::SelectElementsBuilder* NXOpen::CAE::AttachElementsBuilder::ElementEdges ( )

Returns the element edges
Created in NX11.0.0.



License requirements : None

NXOpen::SelectTaggedObjectList* NXOpen::CAE::AttachElementsBuilder::MeshSelection ( )

Returns the selected mesh
Created in NX11.0.0.



License requirements : None

NXOpen::Point* NXOpen::CAE::AttachElementsBuilder::PointEnd ( )

Returns an end point
Created in NX11.0.0.



License requirements : None

NXOpen::Point* NXOpen::CAE::AttachElementsBuilder::PointStart ( )

Returns a start point
Created in NX11.0.0.



License requirements : None

void NXOpen::CAE::AttachElementsBuilder::SetAttachType ( NXOpen::CAE::AttachElementsBuilder::AttachOption  attachmentType)

Sets an attach option
Created in NX11.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
attachmentTypeattachmenttype
void NXOpen::CAE::AttachElementsBuilder::SetPointEnd ( NXOpen::Point endPoint)

Sets an end point
Created in NX11.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
endPointendpoint
void NXOpen::CAE::AttachElementsBuilder::SetPointStart ( NXOpen::Point startPoint)

Sets a start point
Created in NX11.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
startPointstartpoint
void NXOpen::CAE::AttachElementsBuilder::SetSplitLineType ( NXOpen::CAE::AttachElementsBuilder::SplitLineOption  lineType)

Sets a split line option
Created in NX11.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
lineTypelinetype
NXOpen::CAE::AttachElementsBuilder::SplitLineOption NXOpen::CAE::AttachElementsBuilder::SplitLineType ( )

Returns a split line option
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::CAE::AttachElementsBuilder::SplitSize ( )

Returns the split size
Created in NX11.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.